class Player {
  float angle;
  boolean dead, upOrDown;
  Player(float _angle, boolean _upOrDown) {
    angle = _angle;
    dead = false;
    upOrDown = _upOrDown;
  }
  void display() {
    if (!dead) {
      angle %= (2 * PI);
      pushMatrix();
      translate(width/2, height/2);
      rotate(angle);
      fill(255, 0, 0);
      rectMode(CENTER);
      //rect(SHIPRADIUS/2, 0, 30, 30);
      pushMatrix();
      int shapeX = 75;
      translate(SHIPRADIUS/2 - shapeX/2,0);
      rotate(-PI/2);
  shapeMode(CENTER);

      if(upOrDown) shape(p1, 0,0, shapeX, shapeX);
      else shape(p2, 0, 0, shapeX, shapeX);
      popMatrix();
      popMatrix();
    }
  }

  void mechanics() {
    if (!dead) {
      if (upOrDown) {
        if (keys[1]) angle += 0.05;
        if (keys[3]) angle -= 0.05;
      } else {
        if (keys[5]) angle += 0.05;
        if (keys[6]) angle -= 0.05;
      }
    }
  }
  float getRealPositionX() {
    float x = cos(angle) * SHIPRADIUS/2.4 + width / 2;
    float y = sin(angle) * SHIPRADIUS/2.4 + height / 2;
    fill(255);
    ellipse(x, y, 100, 100);
    return x;
  }
    float getRealPositionY() {
    float x = cos(angle) * SHIPRADIUS/2.4 + width / 2;
    float y = sin(angle) * SHIPRADIUS/2.4 + height / 2;
        fill(255);

    ellipse(x, y, 100, 100);
    return x;
  }
};