void hitboxes() {
  float bulletRadius = 2.5;
  float asteroidRadius = 50 - 10;
  int playerRadius = 100;
  ArrayList<Integer> asteroidsToRemove = new ArrayList<Integer> ();
  ArrayList<Integer> bulletsToRemove = new ArrayList<Integer> ();

  for (int i = 0; i < bullets.size(); ++i) {
    float bx = bullets.get(i).x, by = bullets.get(i).y;

    for (int j = 0; j < asteroids.size(); ++j) {
      if (dist(bx, by, asteroids.get(j).x, asteroids.get(j).y) < bulletRadius + asteroidRadius) {

        //bulletsToRemove.add(i);

        bullets.remove(i);
        asteroids.get(j).health--;
        //
        //asteroidsToRemove.add(j);
        if (asteroids.get(j).health <= 0) {
          for (int k = 0; k < 4; ++k) {
            Bullet b = new Bullet(asteroids.get(j).x, asteroids.get(j).y, random(0, PI), 3);
            bullets.add(b);
          }
          asteroids.remove(j);
        }

        j = asteroids.size();
      }
    }
  }

  for (int i = 0; i < missiles.size(); ++i) {
    float bx = missiles.get(i).x, by = missiles.get(i).y;

    for (int j = 0; j < asteroids.size(); ++j) {
      if (dist(bx, by, asteroids.get(j).x, asteroids.get(j).y) < bulletRadius + asteroidRadius) {
        //bulletsToRemove.add(i);
        //asteroidsToRemove.add(j);
        for (int k = 0; k < 4; ++k) {
          Bullet b = new Bullet(asteroids.get(j).x, asteroids.get(j).y, random(0, PI), 3);
          bullets.add(b);
        }
        missiles.remove(i);
        asteroids.remove(j);

        j = asteroids.size();
      }
    }
  }

  for (int i = 0; i < asteroids.size(); ++i) {
    float player1X = player1.getRealPositionX();
    float player1Y = player1.getRealPositionY();
    float player2X = player2.getRealPositionX();
    float player2Y = player2.getRealPositionY();

    if (player1.dead == false && dist(asteroids.get(i).x, asteroids.get(i).y, player1X, player1Y) < playerRadius) {
      player1.dead = true;
      asteroids.remove(i);
      ++i;
      for (int k = 0; k < 20; ++k) {
        Bullet b = new Bullet(player1X, player1Y, random(0, 2 * PI), 3);
        bullets.add(b);
      }
    }
    if (player2.dead == false && dist(asteroids.get(i).x, asteroids.get(i).y, player2X, player2Y ) < playerRadius) {
      player2.dead = true;
      asteroids.remove(i);
      ++i;
      for (int k = 0; k < 20; ++k) {
        Bullet b = new Bullet(player2X, player2Y, random(0, 2 * PI), 3);
        bullets.add(b);
      }
    }
  }

  //for(int a : asteroidsToRemove) asteroids.remove(a);
  //for(int a : bulletsToRemove) bullets.remove(a);
}